Can't start Intellij after update

Answered

I installed the update tonight (Aug 22, 2017).  After, I'm unable to fully start Intellij because I cannot open my project.  The displayed error message is:

Cannot load project: com.intellij.ide.plugins.PluginManager$StartupAbortedException: Fatal error initializing plugin org.jetbrains.android

15 comments
Comment actions Permalink

That solved the problem, it seems, Serge.  Thank you for your support.

0
Comment actions Permalink

The same problem after updating from 2017.2.5 to version 2017.2.6 today 14 Nov 2017.   Please Check.


2017-11-15 00:28:13,623 [ 168064] INFO - roject.impl.ProjectManagerImpl - Fatal error initializing 'com.intellij.openapi.module.ModuleManager' 
com.intellij.ide.plugins.PluginManager$StartupAbortedException: Fatal error initializing 'com.intellij.openapi.module.ModuleManager'
at com.intellij.ide.plugins.PluginManager.handleComponentError(PluginManager.java:275)
at com.intellij.openapi.components.impl.PlatformComponentManagerImpl.handleInitComponentError(PlatformComponentManagerImpl.java:43)
at com.intellij.openapi.components.impl.ComponentManagerImpl$ComponentConfigComponentAdapter.getComponentInstance(ComponentManagerImpl.java:510)
at com.intellij.openapi.components.impl.ComponentManagerImpl.createComponents(ComponentManagerImpl.java:118)
at com.intellij.openapi.components.impl.ComponentManagerImpl.init(ComponentManagerImpl.java:102)
at com.intellij.openapi.components.impl.ComponentManagerImpl.init(ComponentManagerImpl.java:89)
at com.intellij.openapi.project.impl.ProjectImpl.init(ProjectImpl.java:284)
at com.intellij.openapi.project.impl.ProjectManagerImpl.initProject(ProjectManagerImpl.java:278)
at com.intellij.openapi.project.impl.ProjectManagerImpl.loadProjectWithProgress(ProjectManagerImpl.java:533)
at com.intellij.openapi.project.impl.ProjectManagerImpl.access$200(ProjectManagerImpl.java:70)
at com.intellij.openapi.project.impl.ProjectManagerImpl$2.compute(ProjectManagerImpl.java:479)
at com.intellij.openapi.project.impl.ProjectManagerImpl$2.compute(ProjectManagerImpl.java:476)
at com.intellij.openapi.progress.Task$WithResult.run(Task.java:326)
at com.intellij.openapi.progress.impl.CoreProgressManager$TaskRunnable.run(CoreProgressManager.java:718)
at com.intellij.openapi.progress.impl.CoreProgressManager$5.run(CoreProgressManager.java:402)
at com.intellij.openapi.progress.impl.CoreProgressManager.lambda$runProcess$1(CoreProgressManager.java:170)
at com.intellij.openapi.progress.impl.CoreProgressManager$$Lambda$67/1770554136.run(Unknown Source)
at com.intellij.openapi.progress.impl.CoreProgressManager.registerIndicatorAndRun(CoreProgressManager.java:548)
at com.intellij.openapi.progress.impl.CoreProgressManager.executeProcessUnderProgress(CoreProgressManager.java:493)
at com.intellij.openapi.progress.impl.ProgressManagerImpl.executeProcessUnderProgress(ProgressManagerImpl.java:94)
at com.intellij.openapi.progress.impl.CoreProgressManager.runProcess(CoreProgressManager.java:157)
at com.intellij.openapi.application.impl.ApplicationImpl.lambda$null$10(ApplicationImpl.java:590)
at com.intellij.openapi.application.impl.ApplicationImpl$$Lambda$258/1833118581.run(Unknown Source)
at com.intellij.openapi.application.impl.ApplicationImpl$1.run(ApplicationImpl.java:330)
at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
at java.util.concurrent.FutureTask.run(FutureTask.java:266)
at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
at java.lang.Thread.run(Thread.java:745)


Caused by: java.lang.NoClassDefFoundError: Could not initialize class com.intellij.openapi.module.impl.UnloadedModuleDescriptionImpl
at com.intellij.openapi.module.impl.ModuleManagerImpl.loadState(ModuleManagerImpl.java:180)
at com.intellij.openapi.module.impl.ModuleManagerImpl.loadState(ModuleManagerImpl.java:74)
at com.intellij.configurationStore.ComponentStoreImpl.doInitComponent(ComponentStoreImpl.kt:329)
at com.intellij.configurationStore.ComponentStoreImpl.initComponent(ComponentStoreImpl.kt:291)
at com.intellij.configurationStore.ComponentStoreImpl.initComponent(ComponentStoreImpl.kt:91)
at com.intellij.openapi.components.impl.PlatformComponentManagerImpl.initializeComponent(PlatformComponentManagerImpl.java:54)
at com.intellij.openapi.components.impl.ComponentManagerImpl$ComponentConfigComponentAdapter.getComponentInstance(ComponentManagerImpl.java:490)
... 26 more



0
Comment actions Permalink

Reinstall did help, thank you. I'm using java jdk1.8.0_05. 

0
Comment actions Permalink

Have the same issue ( https://intellij-support.jetbrains.com/hc/en-us/community/posts/115000536364/comments/115000592570 ). 

Things that didn't help:
- reinstalling from http://www.jetbrains.com/idea/download/index.html 
- restarting computer
- removing C:\Users\%username%\.IntelliJIdea2017.3
- disabling all modules in intellij

The issue occurs only on 64-bit idea, 32-bit works fine.
I'm using java jdk1.8.0_05, idea 2017.3.1

Logs:
2017-12-22 16:19:08,248 [ 717635] INFO - roject.impl.ProjectManagerImpl - Fatal error initializing 'com.intellij.openapi.module.ModuleManager'
com.intellij.ide.plugins.PluginManager$StartupAbortedException: Fatal error initializing 'com.intellij.openapi.module.ModuleManager'
at com.intellij.ide.plugins.PluginManager.handleComponentError(PluginManager.java:274)
at com.intellij.openapi.components.impl.PlatformComponentManagerImpl.handleInitComponentError(PlatformComponentManagerImpl.java:43)
at com.intellij.openapi.components.impl.ComponentManagerImpl$ComponentConfigComponentAdapter.getComponentInstance(ComponentManagerImpl.java:510)
at com.intellij.openapi.components.impl.ComponentManagerImpl.createComponents(ComponentManagerImpl.java:118)
at com.intellij.openapi.components.impl.ComponentManagerImpl.init(ComponentManagerImpl.java:102)
at com.intellij.openapi.components.impl.ComponentManagerImpl.init(ComponentManagerImpl.java:89)
at com.intellij.openapi.project.impl.ProjectImpl.init(ProjectImpl.java:284)
at com.intellij.openapi.project.impl.ProjectManagerImpl.a(ProjectManagerImpl.java:289)
at com.intellij.openapi.project.impl.ProjectManagerImpl.a(ProjectManagerImpl.java:556)
at com.intellij.openapi.project.impl.ProjectManagerImpl.access$200(ProjectManagerImpl.java:70)
at com.intellij.openapi.project.impl.ProjectManagerImpl$2.compute(ProjectManagerImpl.java:502)
at com.intellij.openapi.project.impl.ProjectManagerImpl$2.compute(ProjectManagerImpl.java:499)
at com.intellij.openapi.progress.Task$WithResult.run(Task.java:326)
at com.intellij.openapi.progress.impl.CoreProgressManager$TaskRunnable.run(CoreProgressManager.java:713)
at com.intellij.openapi.progress.impl.CoreProgressManager$5.run(CoreProgressManager.java:397)
at com.intellij.openapi.progress.impl.CoreProgressManager.a(CoreProgressManager.java:157)
at com.intellij.openapi.progress.impl.CoreProgressManager$$Lambda$75/1480655890.run(Unknown Source)
at com.intellij.openapi.progress.impl.CoreProgressManager.a(CoreProgressManager.java:543)
at com.intellij.openapi.progress.impl.CoreProgressManager.executeProcessUnderProgress(CoreProgressManager.java:488)
at com.intellij.openapi.progress.impl.ProgressManagerImpl.executeProcessUnderProgress(ProgressManagerImpl.java:94)
at com.intellij.openapi.progress.impl.CoreProgressManager.runProcess(CoreProgressManager.java:144)
at com.intellij.openapi.application.impl.ApplicationImpl.a(ApplicationImpl.java:575)
at com.intellij.openapi.application.impl.ApplicationImpl$$Lambda$393/780669370.run(Unknown Source)
at com.intellij.openapi.application.impl.ApplicationImpl$1.run(ApplicationImpl.java:315)
at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
at java.util.concurrent.FutureTask.run(FutureTask.java:266)
at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
at java.lang.Thread.run(Thread.java:745)
Caused by: java.lang.NoClassDefFoundError: Could not initialize class com.intellij.openapi.module.impl.UnloadedModuleDescriptionImpl
at com.intellij.openapi.module.impl.ModuleManagerImpl.a(ModuleManagerImpl.java:192)
at com.intellij.openapi.module.impl.ModuleManagerImpl.loadState(ModuleManagerImpl.java:162)
at com.intellij.openapi.module.impl.ModuleManagerImpl.loadState(ModuleManagerImpl.java:63)
at com.intellij.configurationStore.ComponentStoreImpl.a(ComponentStoreImpl.kt:328)
at com.intellij.configurationStore.ComponentStoreImpl.a(ComponentStoreImpl.kt:290)
at com.intellij.configurationStore.ComponentStoreImpl.initComponent(ComponentStoreImpl.kt:90)
at com.intellij.openapi.components.impl.PlatformComponentManagerImpl.initializeComponent(PlatformComponentManagerImpl.java:54)
at com.intellij.openapi.components.impl.ComponentManagerImpl$ComponentConfigComponentAdapter.getComponentInstance(ComponentManagerImpl.java:490)
... 26 more

 

Can you please help me?

0
Comment actions Permalink

jdk1.8.0_05 is way too old. IntelliJ IDEA needs a more recent build. Please consider using the bundled JDK instead, see https://intellij-support.jetbrains.com/hc/articles/206544879.

1
Comment actions Permalink

Yes, changing jdk to new one fixed the issue. Thank you!

0
Comment actions Permalink

This just happened to me with the 2018 1.3 nojdk update. I deleted every directory related to IDEA other than projects (which weren't open anyway) did a complete reinstall (so it was "virgin") but that made no difference. I'm using JDK 10.0.1 (changing to 9 might be another solution to the problem, but I don't know as I didn't try).

The solution that worked for me was to disable (because I can!) the Android plugin.

After that, the other stuff (Java and Scala for me) seemed to be working again.

0
Comment actions Permalink

Java 9/10 is not yet fully supported as IDE runtime JDK. Please make sure to use latest builds of 1.8 JDK to run IDE under. We recommend to use JRE bundled with IDE distribution.

If problem remains with 1.8 JDK please file an issue at https://youtrack.jetbrains.com/issues/IDEA with idea.log attached and full error that you are getting.

0
Comment actions Permalink

The same issue just happened to me updating to 2018.2 on OSX.

I was prompted to update while working on intellijIdea. I accepted, went through the automated update and restart but got this iris plugin error when trying to open existing projects.

I followed the suggestion above to manually reinstall, downloading and using the .dmg installer but I get the same error trying to open existing projects.

For info I am running java 1.8

Thanks for any help!

$ java -version

java version "1.8.0_74"

Java(TM) SE Runtime Environment (build 1.8.0_74-b02)

Java HotSpot(TM) 64-Bit Server VM (build 25.74-b02, mixed mode)

[update] another piece of information... I tried to start from scratch, creating a new project using my existing source and overwriting the old .iml and again this iris plugin is complaining:

Is this plugin Iris mandatory?

0
Comment actions Permalink

👍🏽Removing the Iris plugin solved the issue, thank you Serge for the prompt response!

For other OSX users experiencing this issue, the folder to delete is:

~/Library/Application Support/IntelliJIdea2018.2/CodeIris-Idea

0
Comment actions Permalink

I needed to disable the "maven archetypes" plugins to make this go away.

0
Comment actions Permalink

I fixed this by opening IntelliJ > Preferences > Plugins and 'Update all' 

There was an update for Kotlin. After restarting IJ I stopped getting this error.

0

Please sign in to leave a comment.